Get account
curl --request GET \
--url https://api.finta.io/v2/accounts/{accountId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.finta.io/v2/accounts/{accountId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.finta.io/v2/accounts/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"providerAccountId": "<string>",
"bankConnectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "plaid",
"institutionName": "<string>",
"name": "<string>",
"mask": "<string>",
"type": "<string>",
"subtype": "<string>",
"currency": "<string>",
"currentBalance": 123,
"availableBalance": 123,
"balanceAsOf": "2023-11-07T05:31:56Z",
"closedAt": "2023-11-07T05:31:56Z",
"liability": {
"minimumPaymentAmount": 123,
"nextPaymentDueDate": "2023-12-25",
"lastPaymentAmount": 123,
"lastPaymentDate": "2023-12-25",
"interestRate": 123,
"isOverdue": true,
"lastStatementBalance": 123,
"aprs": [
{
"aprType": "<string>",
"aprPercentage": 123,
"balanceSubjectToApr": 123,
"interestChargeAmount": 123
}
],
"loanName": "<string>",
"loanStatus": {
"type": "<string>",
"endDate": "2023-12-25"
},
"repaymentPlan": {
"type": "<string>",
"description": "<string>"
},
"pslfStatus": {
"paymentsRemaining": 123,
"paymentsMade": 123,
"estimatedEligibilityDate": "2023-12-25"
},
"originationDate": "2023-12-25",
"originationPrincipalAmount": 123,
"expectedPayoffDate": "2023-12-25",
"outstandingInterestAmount": 123,
"ytdInterestPaid": 123,
"ytdPrincipalPaid": 123,
"nextMonthlyPayment": 123,
"escrowBalance": 123,
"hasPmi": true,
"hasPrepaymentPenalty": true,
"propertyAddress": {
"street": "<string>",
"city": "<string>",
"region": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"loanTypeDescription": "<string>",
"maturityDate": "2023-12-25",
"pastDueAmount": 123
}
}
}{
"error": "Missing or invalid Authorization header"
}{
"error": {
"code": "STORAGE_MODE_REQUIRED",
"message": "<string>"
}
}{
"error": {
"code": "STORAGE_MODE_REQUIRED",
"message": "<string>"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Per-minute rate limit exceeded (10 requests/min on Standard plan)."
}
}Accounts
Get account
Returns a single bank account by Finta account ID.
GET
/
accounts
/
{accountId}
Get account
⌘I